Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CompassFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CompassFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CompassFilter.php	(revision 7265)
@@ -0,0 +1,376 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Exception\FilterException;
+use Assetic\Asset\AssetInterface;
+use Assetic\Filter\FilterInterface;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Loads Compass files.
+ *
+ * @link http://compass-style.org/
+ * @author Maxime Thirouin <maxime.thirouin@gmail.com>
+ */
+class CompassFilter implements FilterInterface
+{
+    private $compassPath;
+    private $rubyPath;
+    private $scss;
+
+    // sass options
+    private $unixNewlines;
+    private $debugInfo;
+    private $cacheLocation;
+    private $noCache;
+
+    // compass options
+    private $force;
+    private $style;
+    private $quiet;
+    private $boring;
+    private $noLineComments;
+    private $imagesDir;
+    private $javascriptsDir;
+
+    // compass configuration file options
+    private $plugins = array();
+    private $loadPaths = array();
+    private $httpPath;
+    private $httpImagesPath;
+    private $httpGeneratedImagesPath;
+    private $generatedImagesPath;
+    private $httpJavascriptsPath;
+    private $homeEnv = true;
+
+    public function __construct($compassPath = '/usr/bin/compass', $rubyPath = null)
+    {
+        $this->compassPath = $compassPath;
+        $this->rubyPath = $rubyPath;
+        $this->cacheLocation = sys_get_temp_dir();
+
+        if ('cli' !== php_sapi_name()) {
+            $this->boring = true;
+        }
+    }
+
+    public function setScss($scss)
+    {
+        $this->scss = $scss;
+    }
+
+    // sass options setters
+    public function setUnixNewlines($unixNewlines)
+    {
+        $this->unixNewlines = $unixNewlines;
+    }
+
+    public function setDebugInfo($debugInfo)
+    {
+        $this->debugInfo = $debugInfo;
+    }
+
+    public function setCacheLocation($cacheLocation)
+    {
+        $this->cacheLocation = $cacheLocation;
+    }
+
+    public function setNoCache($noCache)
+    {
+        $this->noCache = $noCache;
+    }
+
+    // compass options setters
+    public function setForce($force)
+    {
+        $this->force = $force;
+    }
+
+    public function setStyle($style)
+    {
+        $this->style = $style;
+    }
+
+    public function setQuiet($quiet)
+    {
+        $this->quiet = $quiet;
+    }
+
+    public function setBoring($boring)
+    {
+        $this->boring = $boring;
+    }
+
+    public function setNoLineComments($noLineComments)
+    {
+        $this->noLineComments = $noLineComments;
+    }
+
+    public function setImagesDir($imagesDir)
+    {
+        $this->imagesDir = $imagesDir;
+    }
+
+    public function setJavascriptsDir($javascriptsDir)
+    {
+        $this->javascriptsDir = $javascriptsDir;
+    }
+
+    // compass configuration file options setters
+    public function setPlugins(array $plugins)
+    {
+        $this->plugins = $plugins;
+    }
+
+    public function addPlugin($plugin)
+    {
+        $this->plugins[] = $plugin;
+    }
+
+    public function setLoadPaths(array $loadPaths)
+    {
+        $this->loadPaths = $loadPaths;
+    }
+
+    public function addLoadPath($loadPath)
+    {
+        $this->loadPaths[] = $loadPath;
+    }
+
+    public function setHttpPath($httpPath)
+    {
+        $this->httpPath = $httpPath;
+    }
+
+    public function setHttpImagesPath($httpImagesPath)
+    {
+        $this->httpImagesPath = $httpImagesPath;
+    }
+
+    public function setHttpGeneratedImagesPath($httpGeneratedImagesPath)
+    {
+        $this->httpGeneratedImagesPath = $httpGeneratedImagesPath;
+    }
+
+    public function setGeneratedImagesPath($generatedImagesPath)
+    {
+        $this->generatedImagesPath = $generatedImagesPath;
+    }
+
+    public function setHttpJavascriptsPath($httpJavascriptsPath)
+    {
+        $this->httpJavascriptsPath = $httpJavascriptsPath;
+    }
+
+    public function setHomeEnv($homeEnv)
+    {
+        $this->homeEnv = $homeEnv;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+        $root = $asset->getSourceRoot();
+        $path = $asset->getSourcePath();
+
+        $loadPaths = $this->loadPaths;
+        if ($root && $path) {
+            $loadPaths[] = dirname($root.'/'.$path);
+        }
+
+        // compass does not seems to handle symlink, so we use realpath()
+        $tempDir = realpath(sys_get_temp_dir());
+
+        $compassProcessArgs = array(
+            $this->compassPath,
+            'compile',
+            $tempDir,
+        );
+        if (null !== $this->rubyPath) {
+            $compassProcessArgs = array_merge(explode(' ', $this->rubyPath), $compassProcessArgs);
+        }
+
+        $pb = new ProcessBuilder($compassProcessArgs);
+        $pb->inheritEnvironmentVariables();
+
+        if ($this->force) {
+            $pb->add('--force');
+        }
+
+        if ($this->style) {
+            $pb->add('--output-style')->add($this->style);
+        }
+
+        if ($this->quiet) {
+            $pb->add('--quiet');
+        }
+
+        if ($this->boring) {
+            $pb->add('--boring');
+        }
+
+        if ($this->noLineComments) {
+            $pb->add('--no-line-comments');
+        }
+
+        // these two options are not passed into the config file
+        // because like this, compass adapts this to be xxx_dir or xxx_path
+        // whether it's an absolute path or not
+        if ($this->imagesDir) {
+            $pb->add('--images-dir')->add($this->imagesDir);
+        }
+
+        if ($this->javascriptsDir) {
+            $pb->add('--javascripts-dir')->add($this->javascriptsDir);
+        }
+
+        // options in config file
+        $optionsConfig = array();
+
+        if (!empty($loadPaths)) {
+            $optionsConfig['additional_import_paths'] = $loadPaths;
+        }
+
+        if ($this->unixNewlines) {
+            $optionsConfig['sass_options']['unix_newlines'] = true;
+        }
+
+        if ($this->debugInfo) {
+            $optionsConfig['sass_options']['debug_info'] = true;
+        }
+
+        if ($this->cacheLocation) {
+            $optionsConfig['sass_options']['cache_location'] = $this->cacheLocation;
+        }
+
+        if ($this->noCache) {
+            $optionsConfig['sass_options']['no_cache'] = true;
+        }
+
+        if ($this->httpPath) {
+            $optionsConfig['http_path'] = $this->httpPath;
+        }
+
+        if ($this->httpImagesPath) {
+            $optionsConfig['http_images_path'] = $this->httpImagesPath;
+        }
+
+        if ($this->httpGeneratedImagesPath) {
+            $optionsConfig['http_generated_images_path'] = $this->httpGeneratedImagesPath;
+        }
+
+        if ($this->generatedImagesPath) {
+            $optionsConfig['generated_images_path'] = $this->generatedImagesPath;
+        }
+
+        if ($this->httpJavascriptsPath) {
+            $optionsConfig['http_javascripts_path'] = $this->httpJavascriptsPath;
+        }
+
+        // options in configuration file
+        if (count($optionsConfig)) {
+            $config = array();
+            foreach ($this->plugins as $plugin) {
+                $config[] = sprintf("require '%s'", addcslashes($plugin, '\\'));
+            }
+            foreach ($optionsConfig as $name => $value) {
+                if (!is_array($value)) {
+                    $config[] = sprintf('%s = "%s"', $name, addcslashes($value, '\\'));
+                } elseif (!empty($value)) {
+                    $config[] = sprintf('%s = %s', $name, $this->formatArrayToRuby($value));
+                }
+            }
+
+            $configFile = tempnam($tempDir, 'assetic_compass');
+            file_put_contents($configFile, implode("\n", $config)."\n");
+            $pb->add('--config')->add($configFile);
+        }
+
+        $pb->add('--sass-dir')->add('')->add('--css-dir')->add('');
+
+        // compass choose the type (sass or scss from the filename)
+        if (null !== $this->scss) {
+            $type = $this->scss ? 'scss' : 'sass';
+        } elseif ($path) {
+            // FIXME: what if the extension is something else?
+            $type = pathinfo($path, PATHINFO_EXTENSION);
+        } else {
+            $type = 'scss';
+        }
+
+        $tempName = tempnam($tempDir, 'assetic_compass');
+        unlink($tempName); // FIXME: don't use tempnam() here
+
+        // input
+        $input = $tempName.'.'.$type;
+
+        // work-around for https://github.com/chriseppstein/compass/issues/748
+        if (defined('PHP_WINDOWS_VERSION_MAJOR')) {
+            $input = str_replace('\\', '/', $input);
+        }
+
+        $pb->add($input);
+        file_put_contents($input, $asset->getContent());
+
+        // output
+        $output = $tempName.'.css';
+
+        if ($this->homeEnv) {
+            // it's not really usefull but... https://github.com/chriseppstein/compass/issues/376
+            $pb->setEnv('HOME', sys_get_temp_dir());
+        }
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+
+        if (0 < $code) {
+            unlink($input);
+            if (isset($configFile)) {
+                unlink($configFile);
+            }
+
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent(file_get_contents($output));
+
+        unlink($input);
+        unlink($output);
+        if (isset($configFile)) {
+            unlink($configFile);
+        }
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+    }
+
+    private function formatArrayToRuby($array)
+    {
+        $output = array();
+
+        // does we have an associative array ?
+        if (count(array_filter(array_keys($array), "is_numeric")) != count($array)) {
+            foreach ($array as $name => $value) {
+                $output[] = sprintf('    :%s => "%s"', $name, addcslashes($value, '\\'));
+            }
+            $output = "{\n".implode(",\n", $output)."\n}";
+        } else {
+            foreach ($array as $name => $value) {
+                $output[] = sprintf('    "%s"', addcslashes($value, '\\'));
+            }
+            $output = "[\n".implode(",\n", $output)."\n]";
+        }
+
+        return $output;
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/UglifyCssFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/UglifyCssFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/UglifyCssFilter.php	(revision 7265)
@@ -0,0 +1,126 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * UglifyCss filter.
+ *
+ * @link https://github.com/fmarcia/UglifyCSS
+ * @author Franck Marcia <franck.marcia@gmail.com>
+ */
+class UglifyCssFilter implements FilterInterface
+{
+    private $uglifyCssPath;
+    private $nodeJsPath;
+
+    private $expandVars;
+    private $uglyComments;
+    private $cuteComments;
+
+    /**
+     * @param string $uglifyCssPath Absolute path to the uglifycss executable
+     * @param string $nodeJsPath Absolute path to the folder containg node.js executable
+     */
+    public function __construct($uglifyCssPath, $nodeJsPath = null)
+    {
+        $this->uglifyCssPath = $uglifyCssPath;
+        $this->nodeJsPath = $nodeJsPath;
+    }
+
+    /**
+     * Expand variables
+     * @param bool $expandVars True to enable
+     */
+    public function setExpandVars($expandVars)
+    {
+        $this->expandVars = $expandVars;
+    }
+
+    /**
+     * Remove newlines within preserved comments
+     * @param bool $uglyComments True to enable
+     */
+    public function setUglyComments($uglyComments)
+    {
+        $this->uglyComments = $uglyComments;
+    }
+
+    /**
+     * Preserve newlines within and around preserved comments
+     * @param bool $cuteComments True to enable
+     */
+    public function setCuteComments($cuteComments)
+    {
+        $this->cuteComments = $cuteComments;
+    }
+
+    /**
+     * @see Assetic\Filter\FilterInterface::filterLoad()
+     */
+    public function filterLoad(AssetInterface $asset)
+    {
+    }
+
+    /**
+     * Run the asset through UglifyJs
+     *
+     * @see Assetic\Filter\FilterInterface::filterDump()
+     */
+    public function filterDump(AssetInterface $asset)
+    {
+        $executables = array();
+
+        if ($this->nodeJsPath !== null) {
+            $executables[] = $this->nodeJsPath;
+        }
+
+        $executables[] = $this->uglifyCssPath;
+
+        $pb = new ProcessBuilder($executables);
+
+        if ($this->expandVars) {
+            $pb->add('--expand-vars');
+        }
+
+        if ($this->uglyComments) {
+            $pb->add('--ugly-comments');
+        }
+
+        if ($this->cuteComments) {
+            $pb->add('--cute-comments');
+        }
+
+        // input and output files
+        $input = tempnam(sys_get_temp_dir(), 'input');
+
+        file_put_contents($input, $asset->getContent());
+        $pb->add($input);
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        unlink($input);
+
+        if (127 === $code) {
+            throw new \RuntimeException('Path to node executable could not be resolved.');
+        }
+
+        if (0 < $code) {
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent($proc->getOutput());
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/CssCompressorFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/CssCompressorFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/CssCompressorFilter.php	(revision 7265)
@@ -0,0 +1,28 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\Yui;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * CSS YUI compressor filter.
+ *
+ * @link http://developer.yahoo.com/yui/compressor/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class CssCompressorFilter extends BaseCompressorFilter
+{
+    public function filterDump(AssetInterface $asset)
+    {
+        $asset->setContent($this->compress($asset->getContent(), 'css'));
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/BaseCompressorFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/BaseCompressorFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/BaseCompressorFilter.php	(revision 7265)
@@ -0,0 +1,109 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\Yui;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Filter\FilterInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Base YUI compressor filter.
+ *
+ * @link http://developer.yahoo.com/yui/compressor/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+abstract class BaseCompressorFilter implements FilterInterface
+{
+    private $jarPath;
+    private $javaPath;
+    private $charset;
+    private $lineBreak;
+
+    public function __construct($jarPath, $javaPath = '/usr/bin/java')
+    {
+        $this->jarPath = $jarPath;
+        $this->javaPath = $javaPath;
+    }
+
+    public function setCharset($charset)
+    {
+        $this->charset = $charset;
+    }
+
+    public function setLineBreak($lineBreak)
+    {
+        $this->lineBreak = $lineBreak;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+    }
+
+    /**
+     * Compresses a string.
+     *
+     * @param string $content The content to compress
+     * @param string $type    The type of content, either "js" or "css"
+     * @param array  $options An indexed array of additional options
+     *
+     * @return string The compressed content
+     */
+    protected function compress($content, $type, $options = array())
+    {
+        $pb = new ProcessBuilder(array(
+            $this->javaPath,
+            '-jar',
+            $this->jarPath,
+        ));
+
+        foreach ($options as $option) {
+            $pb->add($option);
+        }
+
+        if (null !== $this->charset) {
+            $pb->add('--charset')->add($this->charset);
+        }
+
+        if (null !== $this->lineBreak) {
+            $pb->add('--line-break')->add($this->lineBreak);
+        }
+
+        // input and output files
+        $tempDir = realpath(sys_get_temp_dir());
+        $input = tempnam($tempDir, 'YUI-IN-');
+        $output = tempnam($tempDir, 'YUI-OUT-');
+        file_put_contents($input, $content);
+        $pb->add('-o')->add($output)->add('--type')->add($type)->add($input);
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        unlink($input);
+
+        if (0 < $code) {
+            if (file_exists($output)) {
+                unlink($output);
+            }
+
+            throw FilterException::fromProcess($proc)->setInput($content);
+        }
+
+        if (!file_exists($output)) {
+            throw new \RuntimeException('Error creating output file.');
+        }
+
+        $retval = file_get_contents($output);
+        unlink($output);
+
+        return $retval;
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/JsCompressorFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/JsCompressorFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Yui/JsCompressorFilter.php	(revision 7265)
@@ -0,0 +1,61 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\Yui;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * Javascript YUI compressor filter.
+ *
+ * @link http://developer.yahoo.com/yui/compressor/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class JsCompressorFilter extends BaseCompressorFilter
+{
+    private $nomunge;
+    private $preserveSemi;
+    private $disableOptimizations;
+
+    public function setNomunge($nomunge = true)
+    {
+        $this->nomunge = $nomunge;
+    }
+
+    public function setPreserveSemi($preserveSemi)
+    {
+        $this->preserveSemi = $preserveSemi;
+    }
+
+    public function setDisableOptimizations($disableOptimizations)
+    {
+        $this->disableOptimizations = $disableOptimizations;
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+        $options = array();
+
+        if ($this->nomunge) {
+            $options[] = '--nomunge';
+        }
+
+        if ($this->preserveSemi) {
+            $options[] = '--preserve-semi';
+        }
+
+        if ($this->disableOptimizations) {
+            $options[] = '--disable-optimizations';
+        }
+
+        $asset->setContent($this->compress($asset->getContent(), 'js', $options));
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CoffeeScriptFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CoffeeScriptFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CoffeeScriptFilter.php	(revision 7265)
@@ -0,0 +1,73 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Compiles CoffeeScript into Javascript.
+ *
+ * @link http://coffeescript.org/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class CoffeeScriptFilter implements FilterInterface
+{
+    private $coffeePath;
+    private $nodePath;
+
+    // coffee options
+    private $bare;
+
+    public function __construct($coffeePath = '/usr/bin/coffee', $nodePath = '/usr/bin/node')
+    {
+        $this->coffeePath = $coffeePath;
+        $this->nodePath = $nodePath;
+    }
+
+    public function setBare($bare)
+    {
+        $this->bare = $bare;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+        $input = tempnam(sys_get_temp_dir(), 'assetic_coffeescript');
+        file_put_contents($input, $asset->getContent());
+
+        $pb = new ProcessBuilder(array(
+            $this->nodePath,
+            $this->coffeePath,
+            '-cp',
+        ));
+
+        if ($this->bare) {
+            $pb->add('--bare');
+        }
+
+        $pb->add($input);
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        unlink($input);
+
+        if (0 < $code) {
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent($proc->getOutput());
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Sass/SassFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Sass/SassFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Sass/SassFilter.php	(revision 7265)
@@ -0,0 +1,176 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\Sass;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Filter\FilterInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Loads SASS files.
+ *
+ * @link http://sass-lang.com/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class SassFilter implements FilterInterface
+{
+    const STYLE_NESTED     = 'nested';
+    const STYLE_EXPANDED   = 'expanded';
+    const STYLE_COMPACT    = 'compact';
+    const STYLE_COMPRESSED = 'compressed';
+
+    private $sassPath;
+    private $rubyPath;
+    private $unixNewlines;
+    private $scss;
+    private $style;
+    private $quiet;
+    private $debugInfo;
+    private $lineNumbers;
+    private $loadPaths = array();
+    private $cacheLocation;
+    private $noCache;
+    private $compass;
+
+    public function __construct($sassPath = '/usr/bin/sass', $rubyPath = null)
+    {
+        $this->sassPath = $sassPath;
+        $this->rubyPath = $rubyPath;
+        $this->cacheLocation = realpath(sys_get_temp_dir());
+    }
+
+    public function setUnixNewlines($unixNewlines)
+    {
+        $this->unixNewlines = $unixNewlines;
+    }
+
+    public function setScss($scss)
+    {
+        $this->scss = $scss;
+    }
+
+    public function setStyle($style)
+    {
+        $this->style = $style;
+    }
+
+    public function setQuiet($quiet)
+    {
+        $this->quiet = $quiet;
+    }
+
+    public function setDebugInfo($debugInfo)
+    {
+        $this->debugInfo = $debugInfo;
+    }
+
+    public function setLineNumbers($lineNumbers)
+    {
+        $this->lineNumbers = $lineNumbers;
+    }
+
+    public function addLoadPath($loadPath)
+    {
+        $this->loadPaths[] = $loadPath;
+    }
+
+    public function setCacheLocation($cacheLocation)
+    {
+        $this->cacheLocation = $cacheLocation;
+    }
+
+    public function setNoCache($noCache)
+    {
+        $this->noCache = $noCache;
+    }
+
+    public function setCompass($compass)
+    {
+        $this->compass = $compass;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+        $sassProcessArgs = array($this->sassPath);
+        if (null !== $this->rubyPath) {
+            $sassProcessArgs = array_merge(explode(' ', $this->rubyPath), $sassProcessArgs);
+        }
+
+        $pb = new ProcessBuilder($sassProcessArgs);
+
+        $root = $asset->getSourceRoot();
+        $path = $asset->getSourcePath();
+
+        if ($root && $path) {
+            $pb->add('--load-path')->add(dirname($root.'/'.$path));
+        }
+
+        if ($this->unixNewlines) {
+            $pb->add('--unix-newlines');
+        }
+
+        if (true === $this->scss || (null === $this->scss && 'scss' == pathinfo($path, PATHINFO_EXTENSION))) {
+            $pb->add('--scss');
+        }
+
+        if ($this->style) {
+            $pb->add('--style')->add($this->style);
+        }
+
+        if ($this->quiet) {
+            $pb->add('--quiet');
+        }
+
+        if ($this->debugInfo) {
+            $pb->add('--debug-info');
+        }
+
+        if ($this->lineNumbers) {
+            $pb->add('--line-numbers');
+        }
+
+        foreach ($this->loadPaths as $loadPath) {
+            $pb->add('--load-path')->add($loadPath);
+        }
+
+        if ($this->cacheLocation) {
+            $pb->add('--cache-location')->add($this->cacheLocation);
+        }
+
+        if ($this->noCache) {
+            $pb->add('--no-cache');
+        }
+
+        if ($this->compass) {
+            $pb->add('--compass');
+        }
+
+        // input
+        $pb->add($input = tempnam(sys_get_temp_dir(), 'assetic_sass'));
+        file_put_contents($input, $asset->getContent());
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        unlink($input);
+
+        if (0 < $code) {
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent($proc->getOutput());
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Sass/ScssFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Sass/ScssFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/Sass/ScssFilter.php	(revision 7265)
@@ -0,0 +1,28 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\Sass;
+
+/**
+ * Loads SCSS files.
+ *
+ * @link http://sass-lang.com/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class ScssFilter extends SassFilter
+{
+    public function __construct($sassPath = '/usr/bin/sass', $rubyPath = null)
+    {
+        parent::__construct($sassPath, $rubyPath);
+
+        $this->setScss(true);
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/LessphpFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/LessphpFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/LessphpFilter.php	(revision 7265)
@@ -0,0 +1,71 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * Loads LESS files using the PHP implementation of less, lessphp.
+ *
+ * Less files are mostly compatible, but there are slight differences.
+ *
+ * @link http://leafo.net/lessphp/
+ *
+ * @author David Buchmann <david@liip.ch>
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class LessphpFilter implements FilterInterface
+{
+    private $presets = array();
+
+    /**
+     * Lessphp Load Paths
+     * 
+     * @var array
+     */
+    protected $loadPaths = array();
+
+    /**
+     * Adds a load path to the paths used by lessphp
+     * 
+     * @param string $path Load Path
+     */
+    public function addLoadPath($path)
+    {
+        $this->loadPaths[] = $path;
+    }
+
+    public function setPresets(array $presets)
+    {
+        $this->presets = $presets;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+        $root = $asset->getSourceRoot();
+        $path = $asset->getSourcePath();
+
+        $lc = new \lessc();
+        if ($root && $path) {
+            $lc->importDir = dirname($root.'/'.$path);
+        }
+        foreach ($this->loadPaths as $loadPath) {
+            $lc->addImportDir($loadPath);
+        }
+
+        $asset->setContent($lc->parse($asset->getContent(), $this->presets));
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+    }
+}
